Function
bandedAlignment
Calculates a banded alignment around a Seed.
bandedAlignmnet(align, seed, k, score)
Include Headers
seqan/seeds.h
Parameters

align | An alignment dataStructure containing two sequences (sections). The sequence (parts) must be equal to the part which is covered by the seed. Types: Align
seed | The seed for wich the banded alignmnent shall be constructed. Types: Seed
k | A value describing the additional extension of the diagonal band.
score | The score matrix used. Types: Simple Score

Remarks
Use the function globalAlignment with the tag BandedNeedlemanWunsch or BandedGotoh for more general banded alignment without a seed.
Return Values
The score of the optimal banded alignment given in align.
See Also
Global Alignment Algorithms, globalAlignment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46